Debian Bug report logs - #460395
"MIME-Version: 1.0" hardwired

version graph

Package: libmime-lite-perl; Maintainer for libmime-lite-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libmime-lite-perl is src:libmime-lite-perl.

Reported by: jidanni@jidanni.org

Date: Sat, 12 Jan 2008 11:42:03 UTC

Severity: normal

Found in version libmime-lite-perl/3.021-1

Fixed in version libmime-lite-perl/3.027-2

Done: Florian Schlichting <fschlich@zedat.fu-berlin.de>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=35979

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#460395; Package libmime-lite-perl. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: "MIME-Version: 1.0" hardwired
Date: Sat, 12 Jan 2008 08:41:28 +0800
Package: libmime-lite-perl
Version: 3.021-1

I hereby inform you that despite the man page saying

       Giving VALUE as the empty string adds an invisible placeholder to
       the header, which can be used to suppress the output of the "Con-
       tent-*" fields or the special  "MIME-Version" field.  When sup-
       pressing fields, you should use replace() instead of add():

           $msg->replace("Content-disposition" => "");

       Note: add() is probably going to be more efficient than
       "replace()", so you're better off using it for most applications if
       you are certain that you don't need to delete() the field first.

There is _no way_ you will get "MIME-Version: 1.0" out. It is hardwired.

       use MIME::Lite;
       $m="MIME-Version";
       $msg = MIME::Lite->new( Type => "multipart/digest" );
       $msg->attr($m => "qqq");
       $msg->replace($m => undef);
       $msg->replace($m => "");
       $msg->replace($m => "zzz");
       $msg->attr($m => "");
       $msg->attr($m => undef);
       $msg->attr($m => "uuu");
       $msg->add($m => "kkk");
       $msg->scrub([$m]);
       $msg->delete($m);
       $msg->print( \*STDOUT );

One even sees warnings,

       Explicitly setting a MIME header field (mime-version) is dangerous:
       use the attr() method instead.

as if it worked.

Why would one want to remove MIME-Version? How about here on the man page:

       Attach a pre-prepared part to a message

           ### Create a standalone part:
           $part = MIME::Lite->new(...
           ### Attach it to any message:
           $msg->attach($part);

Attempt to get it out of $part before attaching.

Anyways, the only way to get it out of an attachment is
       $msg->attach( Type ... );






Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=35979. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 17 May 2008 23:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#460395; Package libmime-lite-perl. Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 460395@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 460395@bugs.debian.org, jidanni@jidanni.org
Subject: Upstream correspondence
Date: Sun, 18 May 2008 16:14:18 +0100
Please see upstream correspondence at
http://rt.cpan.org/Public/Bug/Display.html?id=35979

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#460395; Package libmime-lite-perl. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 460395@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: dom@earth.li
Cc: 460395@bugs.debian.org
Subject: Re: Upstream correspondence
Date: Tue, 20 May 2008 06:56:41 +0800
>>>>> "DH" == Dominic Hargreaves <dom@earth.li> writes:

DH> Please see upstream correspondence at
DH> http://rt.cpan.org/Public/Bug/Display.html?id=35979

Thanks. Tell them that I forgot why I want the ability to remove the
Mime header, but that it is important to have this ability.

I cannot tell them myself because somebody put me on some block list. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#460395; Package libmime-lite-perl. (Tue, 04 Nov 2008 14:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 04 Nov 2008 14:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 460395@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 460395@bugs.debian.org
Subject: [bug-MIME-Lite@rt.cpan.org: [rt.cpan.org #35979] "MIME-Version: 1.0" hardwired]
Date: Tue, 4 Nov 2008 14:20:39 +0000
----- Forwarded message from Ricardo SIGNES via RT <bug-MIME-Lite@rt.cpan.org> -----

X-Spam-Status: No, score=-3.5 required=5.0 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_LOW autolearn=ham version=3.2.3
Subject: [rt.cpan.org #35979] "MIME-Version: 1.0" hardwired 
From: Ricardo SIGNES via RT <bug-MIME-Lite@rt.cpan.org>
Reply-To: bug-MIME-Lite@rt.cpan.org
To: dom@cpan.org
Date: Sat, 01 Nov 2008 21:50:30 -0400
X-Urchin-Spam-Score-Int: -34

<URL: http://rt.cpan.org/Ticket/Display.html?id=35979 >

FYI, I am unlikely to fix this bug on my own.  Patches welcome.

-- 
rjbs

----- End forwarded message -----

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Florian Schlichting <fschlich@zedat.fu-berlin.de>:
You have taken responsibility. (Wed, 07 Sep 2011 17:36:15 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Wed, 07 Sep 2011 17:36:15 GMT) Full text and rfc822 format available.

Message #27 received at 460395-close@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@zedat.fu-berlin.de>
To: 460395-close@bugs.debian.org
Subject: Bug#460395: fixed in libmime-lite-perl 3.027-2
Date: Wed, 07 Sep 2011 17:33:37 +0000
Source: libmime-lite-perl
Source-Version: 3.027-2

We believe that the bug you reported is fixed in the latest version of
libmime-lite-perl, which is due to be installed in the Debian FTP archive:

libmime-lite-perl_3.027-2.debian.tar.gz
  to main/libm/libmime-lite-perl/libmime-lite-perl_3.027-2.debian.tar.gz
libmime-lite-perl_3.027-2.dsc
  to main/libm/libmime-lite-perl/libmime-lite-perl_3.027-2.dsc
libmime-lite-perl_3.027-2_all.deb
  to main/libm/libmime-lite-perl/libmime-lite-perl_3.027-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460395@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Schlichting <fschlich@zedat.fu-berlin.de> (supplier of updated libmime-lite-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 07 Sep 2011 14:41:06 +0000
Source: libmime-lite-perl
Binary: libmime-lite-perl
Architecture: source all
Version: 3.027-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Description: 
 libmime-lite-perl - module for convenient MIME message creation
Closes: 460395
Changes: 
 libmime-lite-perl (3.027-2) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * debian/control: Convert Vcs-* fields to Git.
 .
   [ Florian Schlichting ]
   * Bump Standards-Version to 3.9.2 (directly link GPL-1).
   * Bump compatibility level to 8.
   * Switch to source format 3.0 (quilt).
   * Refresh d/copyright.
   * Pluck two patches from upstream RT:
     - fix_MIME-Version_hardwired.patch (Closes: #460395)
     - remove_extra_newline.patch
   * Add myself to Uploaders.
   * New spelling-error-in-manpage.patch.
Checksums-Sha1: 
 c4b31add42e3b99a5b1d3bdf9be22fd8bb8e3ae5 2267 libmime-lite-perl_3.027-2.dsc
 6c09813e83bb07c09249aea22ebe1acaf7a45bd6 6188 libmime-lite-perl_3.027-2.debian.tar.gz
 b6ffb4fdc87d30a85ba52bdf52e1ce39fb04a9c9 75496 libmime-lite-perl_3.027-2_all.deb
Checksums-Sha256: 
 239391ff47f84c0a98498277473c2619586ccf6017865a06645de81b095e8538 2267 libmime-lite-perl_3.027-2.dsc
 9c2eaa2d716d3b45bc09da6c630dc9c71d4a2672ce963cfde92ce38ede71618e 6188 libmime-lite-perl_3.027-2.debian.tar.gz
 bba0291c6e582f054de01a4d72a3afaaacb3c53da07554f8736f1356f7111c91 75496 libmime-lite-perl_3.027-2_all.deb
Files: 
 a8bae93e45233a6cb60ee2859ce24d53 2267 perl optional libmime-lite-perl_3.027-2.dsc
 bcce1335f4d390e12e4ed3018f96d657 6188 perl optional libmime-lite-perl_3.027-2.debian.tar.gz
 fc1d2c733aa0e8ac2b9a81e99bfbc4b7 75496 perl optional libmime-lite-perl_3.027-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOZ6kJAAoJENu+nU2Z0qAET30QAKbkfXnFiMng2YIadlddv/1u
PWI6JbTdyPURZdv+rtJ8s7Vt/HceLj1Lr6vzfegti1PEyiFzk714MoaSedx77eL/
RPruA3gB7EJFkn19TxNo4i6BQP4GB3WkHXOWuNG2oC3cjp3+xV2hhoZnXDZOvZhj
fSw/GZlgmD06SlbA9+WpuaAvBYMmM+PzKePh6/XWYXuZ4scF9AuUTpH0mCI4sqng
I3ssCMR5+td2BYuOE/TPS00ZknyihxwCWtQJeVK3BPJFbV6hnMy8xki/r9fSQgnd
JcZx7FQ/HQJb4ldbJLn8mJzyISApfL65zI8FYCo4DXSVEysH/5dTvW9XZdAcU8+k
lUjBApGVRuePEJeucd0bLZHtyPlMA8XqZ1zdvVqz7CjuM4Fv7BA/M8/i5E+Mf30h
ij8mY1V1pEON3ulJ6fFTTlq9cDNwADiAmaqdhvBR/l4kFPcvOJX1HrqKefIK0c/J
hm7d7sb0kAWW5/ajB+bvd2l43BBeRNZxchYUJOkjbTnrAQ7HCef9J+jxMxMh7sa3
a/i4trWrvDVhYm0A5mF7sk30x3rfA7mCr1o7ELF3r0mQpKhzCkB239VpPnndTPtt
X1Q4WjpOF6h6gDjbo4r24XEf8rGjWr/X1aVT4Kgv9uvhs+vVKtnGxBkLk0vZ770I
ZsCNVkU14GU5gFaS496t
=0XtQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Oct 2011 07:38:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:03:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.